{ den, lib, ... }: {
  den.aspects.portable.nixos = {
    security.sudo.wheelNeedsPassword = lib.mkForce true;

    networking.firewall.enable = true;

    powerManagement.enable = true;

    services.tlp = {
      enable   = true;
      settings = {
        CPU_SCALING_GOVERNOR_ON_AC  = "performance";
        CPU_SCALING_GOVERNOR_ON_BAT = "powersave";
      };
    };
  };
}
